Bug 1309957 - [RFE] Support ovs-vsctl auto attach in RHEV
[RFE] Support ovs-vsctl auto attach in RHEV
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Scott Herold
Gil Klein
: FutureFeature
Depends On: OpenVswitch_Support
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 00:42 EST by Bryan Yount
Modified: 2016-11-22 16:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-27 07:20:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Yount 2016-02-19 00:42:20 EST
3. What is the nature and description of the request?

Support the core openvswitch 2.4 functionality in RHEV-M webadmin GUI


4. Why does the customer need this? (List the business requirements here)

For a custom product that handles fabric network monitoring and configuration.


5. How would the customer like to achieve this? (List the functional requirements here):

From a functional point of view all of the following cli commands supported by ovs-vsctl
Open vSwitch commands:
  init                        initialize database, if not yet initialized
  show                        print overview of database contents
  emer-reset                  reset configuration to clean state

Bridge commands:
  add-br BRIDGE               create a new bridge named BRIDGE
  add-br BRIDGE PARENT VLAN   create new fake BRIDGE in PARENT on VLAN
  del-br BRIDGE               delete BRIDGE and all of its ports
  list-br                     print the names of all the bridges
  br-exists BRIDGE            exit 2 if BRIDGE does not exist
  br-to-vlan BRIDGE           print the VLAN which BRIDGE is on
  br-to-parent BRIDGE         print the parent of BRIDGE
  br-set-external-id BRIDGE KEY VALUE  set KEY on BRIDGE to VALUE
  br-set-external-id BRIDGE KEY  unset KEY on BRIDGE
  br-get-external-id BRIDGE KEY  print value of KEY on BRIDGE
  br-get-external-id BRIDGE  list key-value pairs on BRIDGE

Port commands (a bond is considered to be a single port):
  list-ports BRIDGE           print the names of all the ports on BRIDGE
  add-port BRIDGE PORT        add network device PORT to BRIDGE
  add-bond BRIDGE PORT IFACE...  add bonded port PORT in BRIDGE from IFACES
  del-port [BRIDGE] PORT      delete PORT (which may be bonded) from BRIDGE
  port-to-br PORT             print name of bridge that contains PORT

Interface commands (a bond consists of multiple interfaces):
  list-ifaces BRIDGE          print the names of all interfaces on BRIDGE
  iface-to-br IFACE           print name of bridge that contains IFACE

Controller commands:
  get-controller BRIDGE      print the controllers for BRIDGE
  del-controller BRIDGE      delete the controllers for BRIDGE
  set-controller BRIDGE TARGET...  set the controllers for BRIDGE
  get-fail-mode BRIDGE       print the fail-mode for BRIDGE
  del-fail-mode BRIDGE       delete the fail-mode for BRIDGE
  set-fail-mode BRIDGE MODE  set the fail-mode for BRIDGE to MODE

Manager commands:
  get-manager                print the managers
  del-manager                delete the managers
  set-manager TARGET...      set the list of managers to TARGET...

SSL commands:
  get-ssl                     print the SSL configuration
  del-ssl                     delete the SSL configuration
  set-ssl PRIV-KEY CERT CA-CERT  set the SSL configuration

Auto Attach commands:
  add-aa-mapping BRIDGE I-SID VLAN   add Auto Attach mapping to BRIDGE
  del-aa-mapping BRIDGE I-SID VLAN   delete Auto Attach mapping VLAN from BRIDGE
  get-aa-mapping BRIDGE              get Auto Attach mappings from BRIDGE

Switch commands:
  emer-reset                  reset switch to known good state


6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

There should be a graphical user interface element assigned to each of the above ovs functions.


8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

RHEV 4.0


9. Is the sales team involved in this request and do they have any additional input?

Yes, the sales team is involved and may add additional comments later.


10. List any affected packages or components.

ovirt-engine
rhevm-webadmin-portal


11. Would the customer be able to assist in testing this functionality if implemented?

Yes.
Comment 2 Yaniv Kaul 2016-02-19 11:26:15 EST
I'm not sure why the customer need to control OVS functionality directly. Can you describe the use case? We do plan to switch from bridge to openvswitch networking in 4.0 - what exactly is needed in addition?
Comment 3 Bryan Yount 2016-03-01 02:54:55 EST
(In reply to Yaniv Kaul from comment #2)
> I'm not sure why the customer need to control OVS functionality directly.
> Can you describe the use case? We do plan to switch from bridge to
> openvswitch networking in 4.0 - what exactly is needed in addition?

Primarily this RFE is to enable RHEV-M (via a restAPI call) to perform the auto attach commands that are available via ovs-vsctl:
  add-aa-mapping BRIDGE I-SID VLAN   add Auto Attach mapping to BRIDGE
  del-aa-mapping BRIDGE I-SID VLAN   delete Auto Attach mapping VLAN from BRIDGE
  get-aa-mapping BRIDGE              get Auto Attach mappings from BRIDGE

Example flow:
1. On physical fabric switch, someone changes I-SID 20 to I-SID 22. AFO notices this change.
2. AFO goes to RHEV and says “which hypervisors are using I-SID 20?”
3. AFO makes call to RHEV-M to change I-SID 20 to 22 on the above hypervisor(s).
4. In theory, RHEV-M would then make a call to vdsm to perform ovs-vsctl del-aa-mapping BRIDGE 20 <VLAN_ID>, add-aa-mapping BRIDGE 22 <VLAN_ID>.

Note You need to log in before you can comment on or make changes to this bug.